#include <iostream>
#include <fstream>
#include<algorithm>
using namespace std;
int n,m[10000];
int dem=0;
int fb()
{
	dem=0;
	int f1=1;
	int f2=1;
	int f3=1;
	sort(m,m+n);
	while(f3<=m[n-1])
	{
		for(int i=0;i<n;i++)
		{
			if(m[i]==f3)
			{
				dem++;
			}
			if(m[i]>f3)
			{
				break;
			}
		}
		f3=f1+f2;
		f1=f2;
		f2=f3;
	}
	return dem;
}
void nhap()
{
	ifstream fi("DEMFB.inp");
	fi>>n;
	for(int i=0;i<n;i++)
	{
		fi>>m[i];
	}
	fi.close(); 
}
void xuat()
{
	ofstream fo("DEMFB.out");
	fo<<dem;
	fo.close();
	
}
int main()
{
	nhap();
	fb();
	xuat();
	return 0;
}

